Linux IPv6 HOWTO (en)
Prev | Chapter 6. Configuring IPv6 addresses | Next

# 6.1. Displaying existing IPv6 addresses

First you should check, whether and which IPv6 addresses are already configured (perhaps auto-magically during stateless auto-configuration).

## 6.1.1. Using "ip"

Usage:

    # /sbin/ip -6 addr show dev <interface>

Example for a static configured host:

    # /sbin/ip -6 addr show dev eth0
    2: eth0: <BROADCAST,MULTICAST,UP&gt; mtu 1500 qdisc pfifo_ fast qlen 100
    inet6 fe80::210:a4ff:fee3:9566/10 scope link
    inet6 2001:0db8:0:f101::1/64 scope global
    inet6 fec0:0:0:f101::1/64 scope site

Example for a host which is auto-configured

Here you see some auto-magically configured IPv6 addresses and their lifetime.

    # /sbin/ip -6 addr show dev eth0
    3: eth0: <BROADCAST,MULTICAST,PROMISC,UP&gt; mtu 1500 qdisc pfifo_fast qlen
    ¬ 100
    inet6 2002:d950:f5f8:f101:2e0:18ff:fe90:9205/64 scope global dynamic
    valid_lft 16sec preferred_lft 6sec
    inet6 3ffe:400:100:f101:2e0:18ff:fe90:9205/64 scope global dynamic
    valid_lft 2591997sec preferred_lft 604797sec inet6 fe80::2e0:18ff:fe90:9205/10
    ¬ scope link

## 6.1.2. Using "ifconfig"

Usage:

    # /sbin/ifconfig <interface>

Example (output filtered with grep to display only IPv6 addresses). Here you see different IPv6 addresses with different scopes.

    # /sbin/ifconfig eth0 |grep "inet6 addr:"
    inet6 addr: fe80::210:a4ff:fee3:9566/10 Scope:Link
    inet6 addr: 2001:0db8:0:f101::1/64 Scope:Global
    inet6 addr: fec0:0:0:f101::1/64 Scope:Site

Prev | Home | Next
Configuring IPv6 addresses | Up | Add an IPv6 address